/* This program demonstrates the difference between
   automatic variables and static variables.

   Every time when the loop repeats, the control moves
   out of the body to the update statement and test
   expressions, automatic variable vanishes but static
   variable persists

*/

#include<stdio.h>

int main(){

	int i, j; //Note by default they are automatic variables

	printf("Auto Variable  :  ");

	for(i = 0; i <= 5; i++){
		int n = 0;            // n is born every time the control enters 
		printf(" %d ", ++n);  // the body of the loop and dies every time
	}                         // when the control exits loop body!!
	printf("\n");

	printf("Static Variable:  ");

	for(i = 0; i <= 5; i++){
		static int n = 0;     // whereas during first loop when control
		printf(" %d ", ++n);  // enters loop static n is born. After that
	}                         // every time control enters loop body this
	printf("\n");             // static declaration is skipped!!!!

	return 0;
}


